GET /api/v1/combats/{combatId}/legal-actions
Classificação: consulte a governança. A presença no contrato não promove uma superfície experimental a estável.
Parâmetros
| Nome | Origem | Obrigatório | Schema |
|---|---|---|---|
| combatId | path | Sim | string |
| actorId | query | Não | string |
Respostas
| Status | Descrição |
|---|---|
| 200 | Deterministically ordered legal commands with canonical resolution previews |
| 400 | — |
| 404 | — |
{
"200": {
"description": "Deterministically ordered legal commands with canonical resolution previews",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/LegalActionSet"
}
}
}
},
"400": {
"$ref": "#/components/responses/Problem"
},
"404": {
"$ref": "#/components/responses/Problem"
}
}